Activity log for bug #1843036

Date Who What changed Old value New value Message
2019-09-06 12:04:03 Eric Desrochers bug added bug
2019-09-06 12:04:18 Eric Desrochers tags regression-update sts
2019-09-06 12:05:16 Dan Streetman bug added subscriber Dan Streetman
2019-09-06 12:09:01 Eric Desrochers bug added subscriber Ioanna Alifieraki
2019-09-06 12:17:02 Eric Desrochers net-snmp (Ubuntu): importance Undecided High
2019-09-06 12:40:53 Eric Desrochers nominated for series Ubuntu Disco
2019-09-06 12:40:53 Eric Desrochers bug task added net-snmp (Ubuntu Disco)
2019-09-06 12:40:53 Eric Desrochers nominated for series Ubuntu Xenial
2019-09-06 12:40:53 Eric Desrochers bug task added net-snmp (Ubuntu Xenial)
2019-09-06 12:40:53 Eric Desrochers nominated for series Ubuntu Eoan
2019-09-06 12:40:53 Eric Desrochers bug task added net-snmp (Ubuntu Eoan)
2019-09-06 12:40:53 Eric Desrochers nominated for series Ubuntu Bionic
2019-09-06 12:40:53 Eric Desrochers bug task added net-snmp (Ubuntu Bionic)
2019-09-06 13:08:53 Eric Desrochers net-snmp (Ubuntu Bionic): importance Undecided High
2019-09-06 13:09:12 Eric Desrochers net-snmp (Ubuntu Bionic): status New In Progress
2019-09-06 13:09:14 Eric Desrochers net-snmp (Ubuntu Bionic): assignee Eric Desrochers (slashd)
2019-09-06 13:09:17 Eric Desrochers net-snmp (Ubuntu Eoan): assignee Eric Desrochers (slashd)
2019-09-06 13:09:19 Eric Desrochers net-snmp (Ubuntu Disco): assignee Eric Desrochers (slashd)
2019-09-06 13:09:22 Eric Desrochers net-snmp (Ubuntu Xenial): assignee Eric Desrochers (slashd)
2019-09-06 13:50:23 Volker bug added subscriber Volker
2019-09-06 13:51:16 Launchpad Janitor net-snmp (Ubuntu): status New Confirmed
2019-09-06 13:51:16 Launchpad Janitor net-snmp (Ubuntu Xenial): status New Confirmed
2019-09-06 13:51:16 Launchpad Janitor net-snmp (Ubuntu Disco): status New Confirmed
2019-09-06 15:01:34 Guy Halse bug added subscriber Guy Halse
2019-09-06 15:07:25 slowhand73 bug added subscriber slowhand73
2019-09-06 15:29:38 NEA IT bug added subscriber NEA IT
2019-09-06 16:17:22 Victor Hugo dos Santos bug added subscriber Victor Hugo dos Santos
2019-09-06 16:51:31 Eric Lacroix bug added subscriber Eric Lacroix
2019-09-06 20:32:20 Joseph Gooch bug added subscriber Joseph Gooch
2019-09-06 20:33:59 Joseph Gooch attachment added fix_hrstorage_after_autofs.patch https://bugs.launchpad.net/ubuntu/+source/net-snmp/+bug/1843036/+attachment/5287145/+files/fix_hrstorage_after_autofs.patch
2019-09-06 20:54:00 Joseph Gooch attachment added DockerTestCase.tar.gz https://bugs.launchpad.net/ubuntu/+source/net-snmp/+bug/1843036/+attachment/5287148/+files/DockerTestCase.tar.gz
2019-09-06 21:18:10 David Ford bug added subscriber David Ford
2019-09-06 21:20:13 Eric Desrochers net-snmp (Ubuntu Eoan): status Confirmed In Progress
2019-09-06 21:20:15 Eric Desrochers net-snmp (Ubuntu Disco): status Confirmed In Progress
2019-09-06 21:20:17 Eric Desrochers net-snmp (Ubuntu Xenial): status Confirmed In Progress
2019-09-06 21:20:22 Eric Desrochers net-snmp (Ubuntu Disco): importance Undecided High
2019-09-06 21:20:24 Eric Desrochers net-snmp (Ubuntu Xenial): importance Undecided High
2019-09-06 21:46:50 Peter Newman bug added subscriber Peter Newman
2019-09-06 23:03:42 Eric Desrochers description It has been brought to me the following: Some hosts have started to cause UNKNOWN return values in Nagios for checks on their disks. This is because these hosts are no longer reporting their disks as part of the SNMP table hrStorageTable (1.3.6.1.2.1.25.2.3.1 ) - only memory devices are being reported. The affected hosts that I have investigated received updates for SNMP: Upgrade package libsnmp-base 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 Upgrade package libsnmp30 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 Upgrade package snmpd 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 It seems likely that this package update is the cause. As debug info, you can see the difference between 2 nearly identical servers, one of which received the SNMP updates, and one which did not. You can see that the one without the update is returning disks in the SNMP output: # snmpwalk -v2c -cpublic arcprsmt01 1.3.6.1.2.1.25.2.3.1.3 iso.3.6.1.2.1.25.2.3.1.3.1 = STRING: "Physical memory" iso.3.6.1.2.1.25.2.3.1.3.3 = STRING: "Virtual memory" iso.3.6.1.2.1.25.2.3.1.3.6 = STRING: "Memory buffers" iso.3.6.1.2.1.25.2.3.1.3.7 = STRING: "Cached memory" iso.3.6.1.2.1.25.2.3.1.3.8 = STRING: "Shared memory" iso.3.6.1.2.1.25.2.3.1.3.10 = STRING: "Swap space" iso.3.6.1.2.1.25.2.3.1.3.31 = STRING: "/" iso.3.6.1.2.1.25.2.3.1.3.37 = STRING: "/run" iso.3.6.1.2.1.25.2.3.1.3.39 = STRING: "/dev/shm" iso.3.6.1.2.1.25.2.3.1.3.40 = STRING: "/run/lock" iso.3.6.1.2.1.25.2.3.1.3.41 = STRING: "/sys/fs/cgroup" iso.3.6.1.2.1.25.2.3.1.3.67 = STRING: "/run/snapd/ns" iso.3.6.1.2.1.25.2.3.1.3.70 = STRING: "/var/lib/docker/containers/3cad3d36991b677c37b08b374a7bfeceddf36a6b6754edaa1ff687b00111a6b8/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.73 = STRING: "/var/lib/docker/containers/c605c4b76dea65d562ba024212a38e24fb710186c499187b6604478b7ff678e9/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.82 = STRING: "/run/user/2002" iso.3.6.1.2.1.25.2.3.1.3.253 = STRING: "/var/lib/docker/containers/dc74a157fbaaa284e0e5b8ca4afc88769bf625eb796d89a5d26f98a540cabf35/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.256 = STRING: "/var/lib/docker/containers/6ce6193433f9c1c95cccbfbbe08a3f3385bdbc4f2e3f0baa02d11baf3866dfd2/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.258 = STRING: "/run/user/1000" The other, which received SNMP updates, is returning only memory devices, such as swap and shmem: # snmpwalk -v2c -cpublic arcprsmt02 1.3.6.1.2.1.25.2.3.1.3 iso.3.6.1.2.1.25.2.3.1.3.1 = STRING: "Physical memory" iso.3.6.1.2.1.25.2.3.1.3.3 = STRING: "Virtual memory" iso.3.6.1.2.1.25.2.3.1.3.6 = STRING: "Memory buffers" iso.3.6.1.2.1.25.2.3.1.3.7 = STRING: "Cached memory" iso.3.6.1.2.1.25.2.3.1.3.8 = STRING: "Shared memory" iso.3.6.1.2.1.25.2.3.1.3.10 = STRING: "Swap space" {IMPACT] It has been brought to me the following: Some hosts have started to cause UNKNOWN return values in Nagios for checks on their disks. This is because these hosts are no longer reporting their disks as part of the SNMP table hrStorageTable (1.3.6.1.2.1.25.2.3.1 ) - only memory devices are being reported. The affected hosts that I have investigated received updates for SNMP: Upgrade package libsnmp-base 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 Upgrade package libsnmp30 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 Upgrade package snmpd 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 It seems likely that this package update is the cause. As debug info, you can see the difference between 2 nearly identical servers, one of which received the SNMP updates, and one which did not. You can see that the one without the update is returning disks in the SNMP output: # snmpwalk -v2c -cpublic arcprsmt01 1.3.6.1.2.1.25.2.3.1.3 iso.3.6.1.2.1.25.2.3.1.3.1 = STRING: "Physical memory" iso.3.6.1.2.1.25.2.3.1.3.3 = STRING: "Virtual memory" iso.3.6.1.2.1.25.2.3.1.3.6 = STRING: "Memory buffers" iso.3.6.1.2.1.25.2.3.1.3.7 = STRING: "Cached memory" iso.3.6.1.2.1.25.2.3.1.3.8 = STRING: "Shared memory" iso.3.6.1.2.1.25.2.3.1.3.10 = STRING: "Swap space" iso.3.6.1.2.1.25.2.3.1.3.31 = STRING: "/" iso.3.6.1.2.1.25.2.3.1.3.37 = STRING: "/run" iso.3.6.1.2.1.25.2.3.1.3.39 = STRING: "/dev/shm" iso.3.6.1.2.1.25.2.3.1.3.40 = STRING: "/run/lock" iso.3.6.1.2.1.25.2.3.1.3.41 = STRING: "/sys/fs/cgroup" iso.3.6.1.2.1.25.2.3.1.3.67 = STRING: "/run/snapd/ns" iso.3.6.1.2.1.25.2.3.1.3.70 = STRING: "/var/lib/docker/containers/3cad3d36991b677c37b08b374a7bfeceddf36a6b6754edaa1ff687b00111a6b8/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.73 = STRING: "/var/lib/docker/containers/c605c4b76dea65d562ba024212a38e24fb710186c499187b6604478b7ff678e9/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.82 = STRING: "/run/user/2002" iso.3.6.1.2.1.25.2.3.1.3.253 = STRING: "/var/lib/docker/containers/dc74a157fbaaa284e0e5b8ca4afc88769bf625eb796d89a5d26f98a540cabf35/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.256 = STRING: "/var/lib/docker/containers/6ce6193433f9c1c95cccbfbbe08a3f3385bdbc4f2e3f0baa02d11baf3866dfd2/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.258 = STRING: "/run/user/1000" The other, which received SNMP updates, is returning only memory devices, such as swap and shmem: # snmpwalk -v2c -cpublic arcprsmt02 1.3.6.1.2.1.25.2.3.1.3 iso.3.6.1.2.1.25.2.3.1.3.1 = STRING: "Physical memory" iso.3.6.1.2.1.25.2.3.1.3.3 = STRING: "Virtual memory" iso.3.6.1.2.1.25.2.3.1.3.6 = STRING: "Memory buffers" iso.3.6.1.2.1.25.2.3.1.3.7 = STRING: "Cached memory" iso.3.6.1.2.1.25.2.3.1.3.8 = STRING: "Shared memory" iso.3.6.1.2.1.25.2.3.1.3.10 = STRING: "Swap space" [Test Case] Install snmp snmpd Run snmpwalk: snmpwalk -v2c -cpublic arcprsmt01 1.3.6.1.2.1.25.2.3.1.3 [Potential Regression] None, the fix has been tested by various impacted users, and feedbacks were all positives. This fix a regression introduced by : https://bugs.launchpad.net/bugs/1835818 [Other information] Upstream commit: https://github.com/net-snmp/net-snmp/commit/71e487212bd65839e7454df9701524d08cf0d74f
2019-09-06 23:04:20 Eric Desrochers description {IMPACT] It has been brought to me the following: Some hosts have started to cause UNKNOWN return values in Nagios for checks on their disks. This is because these hosts are no longer reporting their disks as part of the SNMP table hrStorageTable (1.3.6.1.2.1.25.2.3.1 ) - only memory devices are being reported. The affected hosts that I have investigated received updates for SNMP: Upgrade package libsnmp-base 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 Upgrade package libsnmp30 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 Upgrade package snmpd 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 It seems likely that this package update is the cause. As debug info, you can see the difference between 2 nearly identical servers, one of which received the SNMP updates, and one which did not. You can see that the one without the update is returning disks in the SNMP output: # snmpwalk -v2c -cpublic arcprsmt01 1.3.6.1.2.1.25.2.3.1.3 iso.3.6.1.2.1.25.2.3.1.3.1 = STRING: "Physical memory" iso.3.6.1.2.1.25.2.3.1.3.3 = STRING: "Virtual memory" iso.3.6.1.2.1.25.2.3.1.3.6 = STRING: "Memory buffers" iso.3.6.1.2.1.25.2.3.1.3.7 = STRING: "Cached memory" iso.3.6.1.2.1.25.2.3.1.3.8 = STRING: "Shared memory" iso.3.6.1.2.1.25.2.3.1.3.10 = STRING: "Swap space" iso.3.6.1.2.1.25.2.3.1.3.31 = STRING: "/" iso.3.6.1.2.1.25.2.3.1.3.37 = STRING: "/run" iso.3.6.1.2.1.25.2.3.1.3.39 = STRING: "/dev/shm" iso.3.6.1.2.1.25.2.3.1.3.40 = STRING: "/run/lock" iso.3.6.1.2.1.25.2.3.1.3.41 = STRING: "/sys/fs/cgroup" iso.3.6.1.2.1.25.2.3.1.3.67 = STRING: "/run/snapd/ns" iso.3.6.1.2.1.25.2.3.1.3.70 = STRING: "/var/lib/docker/containers/3cad3d36991b677c37b08b374a7bfeceddf36a6b6754edaa1ff687b00111a6b8/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.73 = STRING: "/var/lib/docker/containers/c605c4b76dea65d562ba024212a38e24fb710186c499187b6604478b7ff678e9/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.82 = STRING: "/run/user/2002" iso.3.6.1.2.1.25.2.3.1.3.253 = STRING: "/var/lib/docker/containers/dc74a157fbaaa284e0e5b8ca4afc88769bf625eb796d89a5d26f98a540cabf35/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.256 = STRING: "/var/lib/docker/containers/6ce6193433f9c1c95cccbfbbe08a3f3385bdbc4f2e3f0baa02d11baf3866dfd2/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.258 = STRING: "/run/user/1000" The other, which received SNMP updates, is returning only memory devices, such as swap and shmem: # snmpwalk -v2c -cpublic arcprsmt02 1.3.6.1.2.1.25.2.3.1.3 iso.3.6.1.2.1.25.2.3.1.3.1 = STRING: "Physical memory" iso.3.6.1.2.1.25.2.3.1.3.3 = STRING: "Virtual memory" iso.3.6.1.2.1.25.2.3.1.3.6 = STRING: "Memory buffers" iso.3.6.1.2.1.25.2.3.1.3.7 = STRING: "Cached memory" iso.3.6.1.2.1.25.2.3.1.3.8 = STRING: "Shared memory" iso.3.6.1.2.1.25.2.3.1.3.10 = STRING: "Swap space" [Test Case] Install snmp snmpd Run snmpwalk: snmpwalk -v2c -cpublic arcprsmt01 1.3.6.1.2.1.25.2.3.1.3 [Potential Regression] None, the fix has been tested by various impacted users, and feedbacks were all positives. This fix a regression introduced by : https://bugs.launchpad.net/bugs/1835818 [Other information] Upstream commit: https://github.com/net-snmp/net-snmp/commit/71e487212bd65839e7454df9701524d08cf0d74f [IMPACT] It has been brought to me the following: Some hosts have started to cause UNKNOWN return values in Nagios for checks on their disks. This is because these hosts are no longer reporting their disks as part of the SNMP table hrStorageTable (1.3.6.1.2.1.25.2.3.1 ) - only memory devices are being reported. The affected hosts that I have investigated received updates for SNMP: Upgrade package libsnmp-base 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 Upgrade package libsnmp30 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 Upgrade package snmpd 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 It seems likely that this package update is the cause. As debug info, you can see the difference between 2 nearly identical servers, one of which received the SNMP updates, and one which did not. You can see that the one without the update is returning disks in the SNMP output: # snmpwalk -v2c -cpublic arcprsmt01 1.3.6.1.2.1.25.2.3.1.3 iso.3.6.1.2.1.25.2.3.1.3.1 = STRING: "Physical memory" iso.3.6.1.2.1.25.2.3.1.3.3 = STRING: "Virtual memory" iso.3.6.1.2.1.25.2.3.1.3.6 = STRING: "Memory buffers" iso.3.6.1.2.1.25.2.3.1.3.7 = STRING: "Cached memory" iso.3.6.1.2.1.25.2.3.1.3.8 = STRING: "Shared memory" iso.3.6.1.2.1.25.2.3.1.3.10 = STRING: "Swap space" iso.3.6.1.2.1.25.2.3.1.3.31 = STRING: "/" iso.3.6.1.2.1.25.2.3.1.3.37 = STRING: "/run" iso.3.6.1.2.1.25.2.3.1.3.39 = STRING: "/dev/shm" iso.3.6.1.2.1.25.2.3.1.3.40 = STRING: "/run/lock" iso.3.6.1.2.1.25.2.3.1.3.41 = STRING: "/sys/fs/cgroup" iso.3.6.1.2.1.25.2.3.1.3.67 = STRING: "/run/snapd/ns" iso.3.6.1.2.1.25.2.3.1.3.70 = STRING: "/var/lib/docker/containers/3cad3d36991b677c37b08b374a7bfeceddf36a6b6754edaa1ff687b00111a6b8/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.73 = STRING: "/var/lib/docker/containers/c605c4b76dea65d562ba024212a38e24fb710186c499187b6604478b7ff678e9/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.82 = STRING: "/run/user/2002" iso.3.6.1.2.1.25.2.3.1.3.253 = STRING: "/var/lib/docker/containers/dc74a157fbaaa284e0e5b8ca4afc88769bf625eb796d89a5d26f98a540cabf35/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.256 = STRING: "/var/lib/docker/containers/6ce6193433f9c1c95cccbfbbe08a3f3385bdbc4f2e3f0baa02d11baf3866dfd2/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.258 = STRING: "/run/user/1000" The other, which received SNMP updates, is returning only memory devices, such as swap and shmem: # snmpwalk -v2c -cpublic arcprsmt02 1.3.6.1.2.1.25.2.3.1.3 iso.3.6.1.2.1.25.2.3.1.3.1 = STRING: "Physical memory" iso.3.6.1.2.1.25.2.3.1.3.3 = STRING: "Virtual memory" iso.3.6.1.2.1.25.2.3.1.3.6 = STRING: "Memory buffers" iso.3.6.1.2.1.25.2.3.1.3.7 = STRING: "Cached memory" iso.3.6.1.2.1.25.2.3.1.3.8 = STRING: "Shared memory" iso.3.6.1.2.1.25.2.3.1.3.10 = STRING: "Swap space" [Test Case] * Install/configure snmp snmpd * Run snmpwalk: (e.g. snmpwalk -v2c -cpublic arcprsmt01 1.3.6.1.2.1.25.2.3.1.3) [Potential Regression] None, the fix has been tested by various impacted users, and feedbacks were all positives. This fix a regression introduced by : https://bugs.launchpad.net/bugs/1835818 [Other information] Upstream commit: https://github.com/net-snmp/net-snmp/commit/71e487212bd65839e7454df9701524d08cf0d74f
2019-09-06 23:19:58 Eric Desrochers net-snmp (Ubuntu Eoan): status In Progress Fix Committed
2019-09-06 23:25:43 Eric Desrochers description [IMPACT] It has been brought to me the following: Some hosts have started to cause UNKNOWN return values in Nagios for checks on their disks. This is because these hosts are no longer reporting their disks as part of the SNMP table hrStorageTable (1.3.6.1.2.1.25.2.3.1 ) - only memory devices are being reported. The affected hosts that I have investigated received updates for SNMP: Upgrade package libsnmp-base 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 Upgrade package libsnmp30 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 Upgrade package snmpd 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 It seems likely that this package update is the cause. As debug info, you can see the difference between 2 nearly identical servers, one of which received the SNMP updates, and one which did not. You can see that the one without the update is returning disks in the SNMP output: # snmpwalk -v2c -cpublic arcprsmt01 1.3.6.1.2.1.25.2.3.1.3 iso.3.6.1.2.1.25.2.3.1.3.1 = STRING: "Physical memory" iso.3.6.1.2.1.25.2.3.1.3.3 = STRING: "Virtual memory" iso.3.6.1.2.1.25.2.3.1.3.6 = STRING: "Memory buffers" iso.3.6.1.2.1.25.2.3.1.3.7 = STRING: "Cached memory" iso.3.6.1.2.1.25.2.3.1.3.8 = STRING: "Shared memory" iso.3.6.1.2.1.25.2.3.1.3.10 = STRING: "Swap space" iso.3.6.1.2.1.25.2.3.1.3.31 = STRING: "/" iso.3.6.1.2.1.25.2.3.1.3.37 = STRING: "/run" iso.3.6.1.2.1.25.2.3.1.3.39 = STRING: "/dev/shm" iso.3.6.1.2.1.25.2.3.1.3.40 = STRING: "/run/lock" iso.3.6.1.2.1.25.2.3.1.3.41 = STRING: "/sys/fs/cgroup" iso.3.6.1.2.1.25.2.3.1.3.67 = STRING: "/run/snapd/ns" iso.3.6.1.2.1.25.2.3.1.3.70 = STRING: "/var/lib/docker/containers/3cad3d36991b677c37b08b374a7bfeceddf36a6b6754edaa1ff687b00111a6b8/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.73 = STRING: "/var/lib/docker/containers/c605c4b76dea65d562ba024212a38e24fb710186c499187b6604478b7ff678e9/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.82 = STRING: "/run/user/2002" iso.3.6.1.2.1.25.2.3.1.3.253 = STRING: "/var/lib/docker/containers/dc74a157fbaaa284e0e5b8ca4afc88769bf625eb796d89a5d26f98a540cabf35/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.256 = STRING: "/var/lib/docker/containers/6ce6193433f9c1c95cccbfbbe08a3f3385bdbc4f2e3f0baa02d11baf3866dfd2/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.258 = STRING: "/run/user/1000" The other, which received SNMP updates, is returning only memory devices, such as swap and shmem: # snmpwalk -v2c -cpublic arcprsmt02 1.3.6.1.2.1.25.2.3.1.3 iso.3.6.1.2.1.25.2.3.1.3.1 = STRING: "Physical memory" iso.3.6.1.2.1.25.2.3.1.3.3 = STRING: "Virtual memory" iso.3.6.1.2.1.25.2.3.1.3.6 = STRING: "Memory buffers" iso.3.6.1.2.1.25.2.3.1.3.7 = STRING: "Cached memory" iso.3.6.1.2.1.25.2.3.1.3.8 = STRING: "Shared memory" iso.3.6.1.2.1.25.2.3.1.3.10 = STRING: "Swap space" [Test Case] * Install/configure snmp snmpd * Run snmpwalk: (e.g. snmpwalk -v2c -cpublic arcprsmt01 1.3.6.1.2.1.25.2.3.1.3) [Potential Regression] None, the fix has been tested by various impacted users, and feedbacks were all positives. This fix a regression introduced by : https://bugs.launchpad.net/bugs/1835818 [Other information] Upstream commit: https://github.com/net-snmp/net-snmp/commit/71e487212bd65839e7454df9701524d08cf0d74f [IMPACT] It has been brought to me the following: Some hosts have started to cause UNKNOWN return values in Nagios for checks on their disks. This is because these hosts are no longer reporting their disks as part of the SNMP table hrStorageTable (1.3.6.1.2.1.25.2.3.1 ) - only memory devices are being reported. The affected hosts that I have investigated received updates for SNMP: Upgrade package libsnmp-base 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 Upgrade package libsnmp30 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 Upgrade package snmpd 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 It seems likely that this package update is the cause. As debug info, you can see the difference between 2 nearly identical servers, one of which received the SNMP updates, and one which did not. You can see that the one without the update is returning disks in the SNMP output: # snmpwalk -v2c -cpublic arcprsmt01 1.3.6.1.2.1.25.2.3.1.3 iso.3.6.1.2.1.25.2.3.1.3.1 = STRING: "Physical memory" iso.3.6.1.2.1.25.2.3.1.3.3 = STRING: "Virtual memory" iso.3.6.1.2.1.25.2.3.1.3.6 = STRING: "Memory buffers" iso.3.6.1.2.1.25.2.3.1.3.7 = STRING: "Cached memory" iso.3.6.1.2.1.25.2.3.1.3.8 = STRING: "Shared memory" iso.3.6.1.2.1.25.2.3.1.3.10 = STRING: "Swap space" iso.3.6.1.2.1.25.2.3.1.3.31 = STRING: "/" iso.3.6.1.2.1.25.2.3.1.3.37 = STRING: "/run" iso.3.6.1.2.1.25.2.3.1.3.39 = STRING: "/dev/shm" iso.3.6.1.2.1.25.2.3.1.3.40 = STRING: "/run/lock" iso.3.6.1.2.1.25.2.3.1.3.41 = STRING: "/sys/fs/cgroup" iso.3.6.1.2.1.25.2.3.1.3.67 = STRING: "/run/snapd/ns" iso.3.6.1.2.1.25.2.3.1.3.70 = STRING: "/var/lib/docker/containers/3cad3d36991b677c37b08b374a7bfeceddf36a6b6754edaa1ff687b00111a6b8/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.73 = STRING: "/var/lib/docker/containers/c605c4b76dea65d562ba024212a38e24fb710186c499187b6604478b7ff678e9/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.82 = STRING: "/run/user/2002" iso.3.6.1.2.1.25.2.3.1.3.253 = STRING: "/var/lib/docker/containers/dc74a157fbaaa284e0e5b8ca4afc88769bf625eb796d89a5d26f98a540cabf35/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.256 = STRING: "/var/lib/docker/containers/6ce6193433f9c1c95cccbfbbe08a3f3385bdbc4f2e3f0baa02d11baf3866dfd2/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.258 = STRING: "/run/user/1000" The other, which received SNMP updates, is returning only memory devices, such as swap and shmem: # snmpwalk -v2c -cpublic arcprsmt02 1.3.6.1.2.1.25.2.3.1.3 iso.3.6.1.2.1.25.2.3.1.3.1 = STRING: "Physical memory" iso.3.6.1.2.1.25.2.3.1.3.3 = STRING: "Virtual memory" iso.3.6.1.2.1.25.2.3.1.3.6 = STRING: "Memory buffers" iso.3.6.1.2.1.25.2.3.1.3.7 = STRING: "Cached memory" iso.3.6.1.2.1.25.2.3.1.3.8 = STRING: "Shared memory" iso.3.6.1.2.1.25.2.3.1.3.10 = STRING: "Swap space" [Test Case] * Install/configure snmp snmpd * Run snmpwalk: (e.g. snmpwalk -v2c -cpublic localhost 1.3.6.1.2.1.25.2.3.1.3) [Potential Regression] None, the fix has been tested by various impacted users, and feedbacks were all positives. This fix a regression introduced by : https://bugs.launchpad.net/bugs/1835818 [Other information] Upstream commit: https://github.com/net-snmp/net-snmp/commit/71e487212bd65839e7454df9701524d08cf0d74f
2019-09-06 23:38:00 Eric Desrochers description [IMPACT] It has been brought to me the following: Some hosts have started to cause UNKNOWN return values in Nagios for checks on their disks. This is because these hosts are no longer reporting their disks as part of the SNMP table hrStorageTable (1.3.6.1.2.1.25.2.3.1 ) - only memory devices are being reported. The affected hosts that I have investigated received updates for SNMP: Upgrade package libsnmp-base 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 Upgrade package libsnmp30 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 Upgrade package snmpd 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 It seems likely that this package update is the cause. As debug info, you can see the difference between 2 nearly identical servers, one of which received the SNMP updates, and one which did not. You can see that the one without the update is returning disks in the SNMP output: # snmpwalk -v2c -cpublic arcprsmt01 1.3.6.1.2.1.25.2.3.1.3 iso.3.6.1.2.1.25.2.3.1.3.1 = STRING: "Physical memory" iso.3.6.1.2.1.25.2.3.1.3.3 = STRING: "Virtual memory" iso.3.6.1.2.1.25.2.3.1.3.6 = STRING: "Memory buffers" iso.3.6.1.2.1.25.2.3.1.3.7 = STRING: "Cached memory" iso.3.6.1.2.1.25.2.3.1.3.8 = STRING: "Shared memory" iso.3.6.1.2.1.25.2.3.1.3.10 = STRING: "Swap space" iso.3.6.1.2.1.25.2.3.1.3.31 = STRING: "/" iso.3.6.1.2.1.25.2.3.1.3.37 = STRING: "/run" iso.3.6.1.2.1.25.2.3.1.3.39 = STRING: "/dev/shm" iso.3.6.1.2.1.25.2.3.1.3.40 = STRING: "/run/lock" iso.3.6.1.2.1.25.2.3.1.3.41 = STRING: "/sys/fs/cgroup" iso.3.6.1.2.1.25.2.3.1.3.67 = STRING: "/run/snapd/ns" iso.3.6.1.2.1.25.2.3.1.3.70 = STRING: "/var/lib/docker/containers/3cad3d36991b677c37b08b374a7bfeceddf36a6b6754edaa1ff687b00111a6b8/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.73 = STRING: "/var/lib/docker/containers/c605c4b76dea65d562ba024212a38e24fb710186c499187b6604478b7ff678e9/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.82 = STRING: "/run/user/2002" iso.3.6.1.2.1.25.2.3.1.3.253 = STRING: "/var/lib/docker/containers/dc74a157fbaaa284e0e5b8ca4afc88769bf625eb796d89a5d26f98a540cabf35/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.256 = STRING: "/var/lib/docker/containers/6ce6193433f9c1c95cccbfbbe08a3f3385bdbc4f2e3f0baa02d11baf3866dfd2/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.258 = STRING: "/run/user/1000" The other, which received SNMP updates, is returning only memory devices, such as swap and shmem: # snmpwalk -v2c -cpublic arcprsmt02 1.3.6.1.2.1.25.2.3.1.3 iso.3.6.1.2.1.25.2.3.1.3.1 = STRING: "Physical memory" iso.3.6.1.2.1.25.2.3.1.3.3 = STRING: "Virtual memory" iso.3.6.1.2.1.25.2.3.1.3.6 = STRING: "Memory buffers" iso.3.6.1.2.1.25.2.3.1.3.7 = STRING: "Cached memory" iso.3.6.1.2.1.25.2.3.1.3.8 = STRING: "Shared memory" iso.3.6.1.2.1.25.2.3.1.3.10 = STRING: "Swap space" [Test Case] * Install/configure snmp snmpd * Run snmpwalk: (e.g. snmpwalk -v2c -cpublic localhost 1.3.6.1.2.1.25.2.3.1.3) [Potential Regression] None, the fix has been tested by various impacted users, and feedbacks were all positives. This fix a regression introduced by : https://bugs.launchpad.net/bugs/1835818 [Other information] Upstream commit: https://github.com/net-snmp/net-snmp/commit/71e487212bd65839e7454df9701524d08cf0d74f [IMPACT] It has been brought to me the following: Some hosts have started to cause UNKNOWN return values in Nagios for checks on their disks. This is because these hosts are no longer reporting their disks as part of the SNMP table hrStorageTable (1.3.6.1.2.1.25.2.3.1 ) - only memory devices are being reported. The affected hosts that I have investigated received updates for SNMP: Upgrade package libsnmp-base 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 Upgrade package libsnmp30 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 Upgrade package snmpd 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 It seems likely that this package update is the cause. As debug info, you can see the difference between 2 nearly identical servers, one of which received the SNMP updates, and one which did not. You can see that the one without the update is returning disks in the SNMP output: # snmpwalk -v2c -cpublic arcprsmt01 1.3.6.1.2.1.25.2.3.1.3 iso.3.6.1.2.1.25.2.3.1.3.1 = STRING: "Physical memory" iso.3.6.1.2.1.25.2.3.1.3.3 = STRING: "Virtual memory" iso.3.6.1.2.1.25.2.3.1.3.6 = STRING: "Memory buffers" iso.3.6.1.2.1.25.2.3.1.3.7 = STRING: "Cached memory" iso.3.6.1.2.1.25.2.3.1.3.8 = STRING: "Shared memory" iso.3.6.1.2.1.25.2.3.1.3.10 = STRING: "Swap space" iso.3.6.1.2.1.25.2.3.1.3.31 = STRING: "/" iso.3.6.1.2.1.25.2.3.1.3.37 = STRING: "/run" iso.3.6.1.2.1.25.2.3.1.3.39 = STRING: "/dev/shm" iso.3.6.1.2.1.25.2.3.1.3.40 = STRING: "/run/lock" iso.3.6.1.2.1.25.2.3.1.3.41 = STRING: "/sys/fs/cgroup" iso.3.6.1.2.1.25.2.3.1.3.67 = STRING: "/run/snapd/ns" iso.3.6.1.2.1.25.2.3.1.3.70 = STRING: "/var/lib/docker/containers/3cad3d36991b677c37b08b374a7bfeceddf36a6b6754edaa1ff687b00111a6b8/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.73 = STRING: "/var/lib/docker/containers/c605c4b76dea65d562ba024212a38e24fb710186c499187b6604478b7ff678e9/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.82 = STRING: "/run/user/2002" iso.3.6.1.2.1.25.2.3.1.3.253 = STRING: "/var/lib/docker/containers/dc74a157fbaaa284e0e5b8ca4afc88769bf625eb796d89a5d26f98a540cabf35/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.256 = STRING: "/var/lib/docker/containers/6ce6193433f9c1c95cccbfbbe08a3f3385bdbc4f2e3f0baa02d11baf3866dfd2/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.258 = STRING: "/run/user/1000" The other, which received SNMP updates, is returning only memory devices, such as swap and shmem: # snmpwalk -v2c -cpublic arcprsmt02 1.3.6.1.2.1.25.2.3.1.3 iso.3.6.1.2.1.25.2.3.1.3.1 = STRING: "Physical memory" iso.3.6.1.2.1.25.2.3.1.3.3 = STRING: "Virtual memory" iso.3.6.1.2.1.25.2.3.1.3.6 = STRING: "Memory buffers" iso.3.6.1.2.1.25.2.3.1.3.7 = STRING: "Cached memory" iso.3.6.1.2.1.25.2.3.1.3.8 = STRING: "Shared memory" iso.3.6.1.2.1.25.2.3.1.3.10 = STRING: "Swap space" [Test Case] * Install/configure snmp snmpd * Run snmpwalk: (e.g. snmpwalk -v2c -cpublic localhost 1.3.6.1.2.1.25.2.3.1.3) [Potential Regression] None, the fix has been tested by various impacted users, and feedbacks were all positives. This fix a regression introduced by : https://bugs.launchpad.net/bugs/1835818 [Other information] # Upstream commit: https://github.com/net-snmp/net-snmp/commit/71e487212bd65839e7454df9701524d08cf0d74f # git describe --contains 71e487212bd65839e7454df9701524d08cf0d74f v5.8.pre1~7^2~14^2~15^2~22 # rmadison: net-snmp | 5.7.3+dfsg-1ubuntu4 | xenial | source net-snmp | 5.7.3+dfsg-1ubuntu4.2 | xenial-security | source net-snmp | 5.7.3+dfsg-1ubuntu4.2 | xenial-updates | source net-snmp | 5.7.3+dfsg-1ubuntu4.3 | xenial-proposed | source net-snmp | 5.7.3+dfsg-1.8ubuntu3 | bionic | source net-snmp | 5.7.3+dfsg-1.8ubuntu3.1 | bionic-security | source net-snmp | 5.7.3+dfsg-1.8ubuntu3.1 | bionic-updates | source net-snmp | 5.7.3+dfsg-1.8ubuntu3.2 | bionic-proposed | source net-snmp | 5.7.3+dfsg-5ubuntu1 | disco | source net-snmp | 5.7.3+dfsg-5ubuntu1.1 | disco-proposed | source net-snmp | 5.7.3+dfsg-5ubuntu3 | eoan | source
2019-09-07 00:22:56 Ubuntu Foundations Team Bug Bot tags regression-update sts patch regression-update sts
2019-09-07 00:23:07 Ubuntu Foundations Team Bug Bot bug added subscriber Ubuntu Review Team
2019-09-07 00:33:48 Eric Desrochers bug added subscriber STS Sponsors
2019-09-07 00:39:05 Eric Desrochers description [IMPACT] It has been brought to me the following: Some hosts have started to cause UNKNOWN return values in Nagios for checks on their disks. This is because these hosts are no longer reporting their disks as part of the SNMP table hrStorageTable (1.3.6.1.2.1.25.2.3.1 ) - only memory devices are being reported. The affected hosts that I have investigated received updates for SNMP: Upgrade package libsnmp-base 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 Upgrade package libsnmp30 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 Upgrade package snmpd 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 It seems likely that this package update is the cause. As debug info, you can see the difference between 2 nearly identical servers, one of which received the SNMP updates, and one which did not. You can see that the one without the update is returning disks in the SNMP output: # snmpwalk -v2c -cpublic arcprsmt01 1.3.6.1.2.1.25.2.3.1.3 iso.3.6.1.2.1.25.2.3.1.3.1 = STRING: "Physical memory" iso.3.6.1.2.1.25.2.3.1.3.3 = STRING: "Virtual memory" iso.3.6.1.2.1.25.2.3.1.3.6 = STRING: "Memory buffers" iso.3.6.1.2.1.25.2.3.1.3.7 = STRING: "Cached memory" iso.3.6.1.2.1.25.2.3.1.3.8 = STRING: "Shared memory" iso.3.6.1.2.1.25.2.3.1.3.10 = STRING: "Swap space" iso.3.6.1.2.1.25.2.3.1.3.31 = STRING: "/" iso.3.6.1.2.1.25.2.3.1.3.37 = STRING: "/run" iso.3.6.1.2.1.25.2.3.1.3.39 = STRING: "/dev/shm" iso.3.6.1.2.1.25.2.3.1.3.40 = STRING: "/run/lock" iso.3.6.1.2.1.25.2.3.1.3.41 = STRING: "/sys/fs/cgroup" iso.3.6.1.2.1.25.2.3.1.3.67 = STRING: "/run/snapd/ns" iso.3.6.1.2.1.25.2.3.1.3.70 = STRING: "/var/lib/docker/containers/3cad3d36991b677c37b08b374a7bfeceddf36a6b6754edaa1ff687b00111a6b8/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.73 = STRING: "/var/lib/docker/containers/c605c4b76dea65d562ba024212a38e24fb710186c499187b6604478b7ff678e9/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.82 = STRING: "/run/user/2002" iso.3.6.1.2.1.25.2.3.1.3.253 = STRING: "/var/lib/docker/containers/dc74a157fbaaa284e0e5b8ca4afc88769bf625eb796d89a5d26f98a540cabf35/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.256 = STRING: "/var/lib/docker/containers/6ce6193433f9c1c95cccbfbbe08a3f3385bdbc4f2e3f0baa02d11baf3866dfd2/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.258 = STRING: "/run/user/1000" The other, which received SNMP updates, is returning only memory devices, such as swap and shmem: # snmpwalk -v2c -cpublic arcprsmt02 1.3.6.1.2.1.25.2.3.1.3 iso.3.6.1.2.1.25.2.3.1.3.1 = STRING: "Physical memory" iso.3.6.1.2.1.25.2.3.1.3.3 = STRING: "Virtual memory" iso.3.6.1.2.1.25.2.3.1.3.6 = STRING: "Memory buffers" iso.3.6.1.2.1.25.2.3.1.3.7 = STRING: "Cached memory" iso.3.6.1.2.1.25.2.3.1.3.8 = STRING: "Shared memory" iso.3.6.1.2.1.25.2.3.1.3.10 = STRING: "Swap space" [Test Case] * Install/configure snmp snmpd * Run snmpwalk: (e.g. snmpwalk -v2c -cpublic localhost 1.3.6.1.2.1.25.2.3.1.3) [Potential Regression] None, the fix has been tested by various impacted users, and feedbacks were all positives. This fix a regression introduced by : https://bugs.launchpad.net/bugs/1835818 [Other information] # Upstream commit: https://github.com/net-snmp/net-snmp/commit/71e487212bd65839e7454df9701524d08cf0d74f # git describe --contains 71e487212bd65839e7454df9701524d08cf0d74f v5.8.pre1~7^2~14^2~15^2~22 # rmadison: net-snmp | 5.7.3+dfsg-1ubuntu4 | xenial | source net-snmp | 5.7.3+dfsg-1ubuntu4.2 | xenial-security | source net-snmp | 5.7.3+dfsg-1ubuntu4.2 | xenial-updates | source net-snmp | 5.7.3+dfsg-1ubuntu4.3 | xenial-proposed | source net-snmp | 5.7.3+dfsg-1.8ubuntu3 | bionic | source net-snmp | 5.7.3+dfsg-1.8ubuntu3.1 | bionic-security | source net-snmp | 5.7.3+dfsg-1.8ubuntu3.1 | bionic-updates | source net-snmp | 5.7.3+dfsg-1.8ubuntu3.2 | bionic-proposed | source net-snmp | 5.7.3+dfsg-5ubuntu1 | disco | source net-snmp | 5.7.3+dfsg-5ubuntu1.1 | disco-proposed | source net-snmp | 5.7.3+dfsg-5ubuntu3 | eoan | source [IMPACT] It has been brought to me the following: Some hosts have started to cause UNKNOWN return values in Nagios for checks on their disks. This is because these hosts are no longer reporting their disks as part of the SNMP table hrStorageTable (1.3.6.1.2.1.25.2.3.1 ) - only memory devices are being reported. The affected hosts that I have investigated received updates for SNMP: Upgrade package libsnmp-base 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 Upgrade package libsnmp30 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 Upgrade package snmpd 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 It seems likely that this package update is the cause. As debug info, you can see the difference between 2 nearly identical servers, one of which received the SNMP updates, and one which did not. You can see that the one without the update is returning disks in the SNMP output: # snmpwalk -v2c -cpublic arcprsmt01 1.3.6.1.2.1.25.2.3.1.3 iso.3.6.1.2.1.25.2.3.1.3.1 = STRING: "Physical memory" iso.3.6.1.2.1.25.2.3.1.3.3 = STRING: "Virtual memory" iso.3.6.1.2.1.25.2.3.1.3.6 = STRING: "Memory buffers" iso.3.6.1.2.1.25.2.3.1.3.7 = STRING: "Cached memory" iso.3.6.1.2.1.25.2.3.1.3.8 = STRING: "Shared memory" iso.3.6.1.2.1.25.2.3.1.3.10 = STRING: "Swap space" iso.3.6.1.2.1.25.2.3.1.3.31 = STRING: "/" iso.3.6.1.2.1.25.2.3.1.3.37 = STRING: "/run" iso.3.6.1.2.1.25.2.3.1.3.39 = STRING: "/dev/shm" iso.3.6.1.2.1.25.2.3.1.3.40 = STRING: "/run/lock" iso.3.6.1.2.1.25.2.3.1.3.41 = STRING: "/sys/fs/cgroup" iso.3.6.1.2.1.25.2.3.1.3.67 = STRING: "/run/snapd/ns" iso.3.6.1.2.1.25.2.3.1.3.70 = STRING: "/var/lib/docker/containers/3cad3d36991b677c37b08b374a7bfeceddf36a6b6754edaa1ff687b00111a6b8/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.73 = STRING: "/var/lib/docker/containers/c605c4b76dea65d562ba024212a38e24fb710186c499187b6604478b7ff678e9/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.82 = STRING: "/run/user/2002" iso.3.6.1.2.1.25.2.3.1.3.253 = STRING: "/var/lib/docker/containers/dc74a157fbaaa284e0e5b8ca4afc88769bf625eb796d89a5d26f98a540cabf35/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.256 = STRING: "/var/lib/docker/containers/6ce6193433f9c1c95cccbfbbe08a3f3385bdbc4f2e3f0baa02d11baf3866dfd2/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.258 = STRING: "/run/user/1000" The other, which received SNMP updates, is returning only memory devices, such as swap and shmem: # snmpwalk -v2c -cpublic arcprsmt02 1.3.6.1.2.1.25.2.3.1.3 iso.3.6.1.2.1.25.2.3.1.3.1 = STRING: "Physical memory" iso.3.6.1.2.1.25.2.3.1.3.3 = STRING: "Virtual memory" iso.3.6.1.2.1.25.2.3.1.3.6 = STRING: "Memory buffers" iso.3.6.1.2.1.25.2.3.1.3.7 = STRING: "Cached memory" iso.3.6.1.2.1.25.2.3.1.3.8 = STRING: "Shared memory" iso.3.6.1.2.1.25.2.3.1.3.10 = STRING: "Swap space" [Test Case] * Install snmp snmpd * Configure /etc/snmp/snmpd.conf by adding the following: view systemonly included .1.3.6.1.2.1.25.2.3.1.3 * Restart snmpd * Use snmpwalk: ** snmpwalk -v2c -cpublic localhost 1.3.6.1.2.1.25.2.3.1.3 Expected behavior is to see the disk as follow: " iso.3.6.1.2.1.25.2.3.1.3.1 = STRING: "Physical memory" iso.3.6.1.2.1.25.2.3.1.3.3 = STRING: "Virtual memory" iso.3.6.1.2.1.25.2.3.1.3.6 = STRING: "Memory buffers" iso.3.6.1.2.1.25.2.3.1.3.7 = STRING: "Cached memory" iso.3.6.1.2.1.25.2.3.1.3.8 = STRING: "Shared memory" iso.3.6.1.2.1.25.2.3.1.3.10 = STRING: "Swap space" iso.3.6.1.2.1.25.2.3.1.3.31 = STRING: "/" iso.3.6.1.2.1.25.2.3.1.3.33 = STRING: "/dev" iso.3.6.1.2.1.25.2.3.1.3.45 = STRING: "/dev/lxd" iso.3.6.1.2.1.25.2.3.1.3.46 = STRING: "/dev/.lxd-mounts" iso.3.6.1.2.1.25.2.3.1.3.63 = STRING: "/proc/sys/kernel/random/boot_id" iso.3.6.1.2.1.25.2.3.1.3.66 = STRING: "/dev/shm" iso.3.6.1.2.1.25.2.3.1.3.67 = STRING: "/run" iso.3.6.1.2.1.25.2.3.1.3.68 = STRING: "/run/lock" iso.3.6.1.2.1.25.2.3.1.3.69 = STRING: "/sys/fs/cgroup" " [Potential Regression] The fix has been tested by various impacted users, and feedback were all positives. Note that this fix a regression introduced by: https://bugs.launchpad.net/bugs/1835818 [Other information] # Upstream commit: https://github.com/net-snmp/net-snmp/commit/71e487212bd65839e7454df9701524d08cf0d74f # git describe --contains 71e487212bd65839e7454df9701524d08cf0d74f v5.8.pre1 # rmadison:  net-snmp | 5.7.3+dfsg-1ubuntu4 | xenial | source  net-snmp | 5.7.3+dfsg-1ubuntu4.2 | xenial-security | source  net-snmp | 5.7.3+dfsg-1ubuntu4.2 | xenial-updates | source  net-snmp | 5.7.3+dfsg-1ubuntu4.3 | xenial-proposed | source  net-snmp | 5.7.3+dfsg-1.8ubuntu3 | bionic | source  net-snmp | 5.7.3+dfsg-1.8ubuntu3.1 | bionic-security | source  net-snmp | 5.7.3+dfsg-1.8ubuntu3.1 | bionic-updates | source  net-snmp | 5.7.3+dfsg-1.8ubuntu3.2 | bionic-proposed | source  net-snmp | 5.7.3+dfsg-5ubuntu1 | disco | source  net-snmp | 5.7.3+dfsg-5ubuntu1.1 | disco-proposed | source  net-snmp | 5.7.3+dfsg-5ubuntu3 | eoan | source
2019-09-07 01:22:50 Launchpad Janitor net-snmp (Ubuntu Eoan): status Fix Committed Fix Released
2019-09-07 18:07:09 Eric Desrochers description [IMPACT] It has been brought to me the following: Some hosts have started to cause UNKNOWN return values in Nagios for checks on their disks. This is because these hosts are no longer reporting their disks as part of the SNMP table hrStorageTable (1.3.6.1.2.1.25.2.3.1 ) - only memory devices are being reported. The affected hosts that I have investigated received updates for SNMP: Upgrade package libsnmp-base 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 Upgrade package libsnmp30 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 Upgrade package snmpd 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 It seems likely that this package update is the cause. As debug info, you can see the difference between 2 nearly identical servers, one of which received the SNMP updates, and one which did not. You can see that the one without the update is returning disks in the SNMP output: # snmpwalk -v2c -cpublic arcprsmt01 1.3.6.1.2.1.25.2.3.1.3 iso.3.6.1.2.1.25.2.3.1.3.1 = STRING: "Physical memory" iso.3.6.1.2.1.25.2.3.1.3.3 = STRING: "Virtual memory" iso.3.6.1.2.1.25.2.3.1.3.6 = STRING: "Memory buffers" iso.3.6.1.2.1.25.2.3.1.3.7 = STRING: "Cached memory" iso.3.6.1.2.1.25.2.3.1.3.8 = STRING: "Shared memory" iso.3.6.1.2.1.25.2.3.1.3.10 = STRING: "Swap space" iso.3.6.1.2.1.25.2.3.1.3.31 = STRING: "/" iso.3.6.1.2.1.25.2.3.1.3.37 = STRING: "/run" iso.3.6.1.2.1.25.2.3.1.3.39 = STRING: "/dev/shm" iso.3.6.1.2.1.25.2.3.1.3.40 = STRING: "/run/lock" iso.3.6.1.2.1.25.2.3.1.3.41 = STRING: "/sys/fs/cgroup" iso.3.6.1.2.1.25.2.3.1.3.67 = STRING: "/run/snapd/ns" iso.3.6.1.2.1.25.2.3.1.3.70 = STRING: "/var/lib/docker/containers/3cad3d36991b677c37b08b374a7bfeceddf36a6b6754edaa1ff687b00111a6b8/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.73 = STRING: "/var/lib/docker/containers/c605c4b76dea65d562ba024212a38e24fb710186c499187b6604478b7ff678e9/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.82 = STRING: "/run/user/2002" iso.3.6.1.2.1.25.2.3.1.3.253 = STRING: "/var/lib/docker/containers/dc74a157fbaaa284e0e5b8ca4afc88769bf625eb796d89a5d26f98a540cabf35/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.256 = STRING: "/var/lib/docker/containers/6ce6193433f9c1c95cccbfbbe08a3f3385bdbc4f2e3f0baa02d11baf3866dfd2/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.258 = STRING: "/run/user/1000" The other, which received SNMP updates, is returning only memory devices, such as swap and shmem: # snmpwalk -v2c -cpublic arcprsmt02 1.3.6.1.2.1.25.2.3.1.3 iso.3.6.1.2.1.25.2.3.1.3.1 = STRING: "Physical memory" iso.3.6.1.2.1.25.2.3.1.3.3 = STRING: "Virtual memory" iso.3.6.1.2.1.25.2.3.1.3.6 = STRING: "Memory buffers" iso.3.6.1.2.1.25.2.3.1.3.7 = STRING: "Cached memory" iso.3.6.1.2.1.25.2.3.1.3.8 = STRING: "Shared memory" iso.3.6.1.2.1.25.2.3.1.3.10 = STRING: "Swap space" [Test Case] * Install snmp snmpd * Configure /etc/snmp/snmpd.conf by adding the following: view systemonly included .1.3.6.1.2.1.25.2.3.1.3 * Restart snmpd * Use snmpwalk: ** snmpwalk -v2c -cpublic localhost 1.3.6.1.2.1.25.2.3.1.3 Expected behavior is to see the disk as follow: " iso.3.6.1.2.1.25.2.3.1.3.1 = STRING: "Physical memory" iso.3.6.1.2.1.25.2.3.1.3.3 = STRING: "Virtual memory" iso.3.6.1.2.1.25.2.3.1.3.6 = STRING: "Memory buffers" iso.3.6.1.2.1.25.2.3.1.3.7 = STRING: "Cached memory" iso.3.6.1.2.1.25.2.3.1.3.8 = STRING: "Shared memory" iso.3.6.1.2.1.25.2.3.1.3.10 = STRING: "Swap space" iso.3.6.1.2.1.25.2.3.1.3.31 = STRING: "/" iso.3.6.1.2.1.25.2.3.1.3.33 = STRING: "/dev" iso.3.6.1.2.1.25.2.3.1.3.45 = STRING: "/dev/lxd" iso.3.6.1.2.1.25.2.3.1.3.46 = STRING: "/dev/.lxd-mounts" iso.3.6.1.2.1.25.2.3.1.3.63 = STRING: "/proc/sys/kernel/random/boot_id" iso.3.6.1.2.1.25.2.3.1.3.66 = STRING: "/dev/shm" iso.3.6.1.2.1.25.2.3.1.3.67 = STRING: "/run" iso.3.6.1.2.1.25.2.3.1.3.68 = STRING: "/run/lock" iso.3.6.1.2.1.25.2.3.1.3.69 = STRING: "/sys/fs/cgroup" " [Potential Regression] The fix has been tested by various impacted users, and feedback were all positives. Note that this fix a regression introduced by: https://bugs.launchpad.net/bugs/1835818 [Other information] # Upstream commit: https://github.com/net-snmp/net-snmp/commit/71e487212bd65839e7454df9701524d08cf0d74f # git describe --contains 71e487212bd65839e7454df9701524d08cf0d74f v5.8.pre1 # rmadison:  net-snmp | 5.7.3+dfsg-1ubuntu4 | xenial | source  net-snmp | 5.7.3+dfsg-1ubuntu4.2 | xenial-security | source  net-snmp | 5.7.3+dfsg-1ubuntu4.2 | xenial-updates | source  net-snmp | 5.7.3+dfsg-1ubuntu4.3 | xenial-proposed | source  net-snmp | 5.7.3+dfsg-1.8ubuntu3 | bionic | source  net-snmp | 5.7.3+dfsg-1.8ubuntu3.1 | bionic-security | source  net-snmp | 5.7.3+dfsg-1.8ubuntu3.1 | bionic-updates | source  net-snmp | 5.7.3+dfsg-1.8ubuntu3.2 | bionic-proposed | source  net-snmp | 5.7.3+dfsg-5ubuntu1 | disco | source  net-snmp | 5.7.3+dfsg-5ubuntu1.1 | disco-proposed | source  net-snmp | 5.7.3+dfsg-5ubuntu3 | eoan | source [IMPACT] It has been brought to me the following: Some hosts have started to cause UNKNOWN return values in Nagios for checks on their disks. This is because these hosts are no longer reporting their disks as part of the SNMP table hrStorageTable (1.3.6.1.2.1.25.2.3.1 ) - only memory devices are being reported. The affected hosts that I have investigated received updates for SNMP: Upgrade package libsnmp-base 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 Upgrade package libsnmp30 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 Upgrade package snmpd 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 It seems likely that this package update is the cause. As debug info, you can see the difference between 2 nearly identical servers, one of which received the SNMP updates, and one which did not. You can see that the one without the update is returning disks in the SNMP output: # snmpwalk -v2c -cpublic arcprsmt01 1.3.6.1.2.1.25.2.3.1.3 iso.3.6.1.2.1.25.2.3.1.3.1 = STRING: "Physical memory" iso.3.6.1.2.1.25.2.3.1.3.3 = STRING: "Virtual memory" iso.3.6.1.2.1.25.2.3.1.3.6 = STRING: "Memory buffers" iso.3.6.1.2.1.25.2.3.1.3.7 = STRING: "Cached memory" iso.3.6.1.2.1.25.2.3.1.3.8 = STRING: "Shared memory" iso.3.6.1.2.1.25.2.3.1.3.10 = STRING: "Swap space" iso.3.6.1.2.1.25.2.3.1.3.31 = STRING: "/" iso.3.6.1.2.1.25.2.3.1.3.37 = STRING: "/run" iso.3.6.1.2.1.25.2.3.1.3.39 = STRING: "/dev/shm" iso.3.6.1.2.1.25.2.3.1.3.40 = STRING: "/run/lock" iso.3.6.1.2.1.25.2.3.1.3.41 = STRING: "/sys/fs/cgroup" iso.3.6.1.2.1.25.2.3.1.3.67 = STRING: "/run/snapd/ns" iso.3.6.1.2.1.25.2.3.1.3.70 = STRING: "/var/lib/docker/containers/3cad3d36991b677c37b08b374a7bfeceddf36a6b6754edaa1ff687b00111a6b8/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.73 = STRING: "/var/lib/docker/containers/c605c4b76dea65d562ba024212a38e24fb710186c499187b6604478b7ff678e9/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.82 = STRING: "/run/user/2002" iso.3.6.1.2.1.25.2.3.1.3.253 = STRING: "/var/lib/docker/containers/dc74a157fbaaa284e0e5b8ca4afc88769bf625eb796d89a5d26f98a540cabf35/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.256 = STRING: "/var/lib/docker/containers/6ce6193433f9c1c95cccbfbbe08a3f3385bdbc4f2e3f0baa02d11baf3866dfd2/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.258 = STRING: "/run/user/1000" The other, which received SNMP updates, is returning only memory devices, such as swap and shmem: # snmpwalk -v2c -cpublic arcprsmt02 1.3.6.1.2.1.25.2.3.1.3 iso.3.6.1.2.1.25.2.3.1.3.1 = STRING: "Physical memory" iso.3.6.1.2.1.25.2.3.1.3.3 = STRING: "Virtual memory" iso.3.6.1.2.1.25.2.3.1.3.6 = STRING: "Memory buffers" iso.3.6.1.2.1.25.2.3.1.3.7 = STRING: "Cached memory" iso.3.6.1.2.1.25.2.3.1.3.8 = STRING: "Shared memory" iso.3.6.1.2.1.25.2.3.1.3.10 = STRING: "Swap space" [Test Case] * Install snmp snmpd * Configure /etc/snmp/snmpd.conf by adding the following:  view systemonly included .1.3.6.1.2.1.25.2.3.1.3 * Restart snmpd * Use snmpwalk:  ** snmpwalk -v2c -cpublic localhost 1.3.6.1.2.1.25.2.3.1.3 Expected behavior is to see the disk as follow: " iso.3.6.1.2.1.25.2.3.1.3.1 = STRING: "Physical memory" iso.3.6.1.2.1.25.2.3.1.3.3 = STRING: "Virtual memory" iso.3.6.1.2.1.25.2.3.1.3.6 = STRING: "Memory buffers" iso.3.6.1.2.1.25.2.3.1.3.7 = STRING: "Cached memory" iso.3.6.1.2.1.25.2.3.1.3.8 = STRING: "Shared memory" iso.3.6.1.2.1.25.2.3.1.3.10 = STRING: "Swap space" iso.3.6.1.2.1.25.2.3.1.3.31 = STRING: "/" iso.3.6.1.2.1.25.2.3.1.3.33 = STRING: "/dev" iso.3.6.1.2.1.25.2.3.1.3.45 = STRING: "/dev/lxd" iso.3.6.1.2.1.25.2.3.1.3.46 = STRING: "/dev/.lxd-mounts" iso.3.6.1.2.1.25.2.3.1.3.63 = STRING: "/proc/sys/kernel/random/boot_id" iso.3.6.1.2.1.25.2.3.1.3.66 = STRING: "/dev/shm" iso.3.6.1.2.1.25.2.3.1.3.67 = STRING: "/run" iso.3.6.1.2.1.25.2.3.1.3.68 = STRING: "/run/lock" iso.3.6.1.2.1.25.2.3.1.3.69 = STRING: "/sys/fs/cgroup" " [Potential Regression] The fix has been tested by various impacted users, and feedback were all positives. Note that this fix a regression introduced by: https://bugs.launchpad.net/bugs/1835818 [Other information] # Upstream commit: https://github.com/net-snmp/net-snmp/commit/71e487212bd65839e7454df9701524d08cf0d74f https://github.com/net-snmp/net-snmp/commit/bcb1a6b8afc444bbcd099a195e08f0b01cbc8f6b # git describe --contains 71e487212bd65839e7454df9701524d08cf0d74f v5.8.pre1 # rmadison:  net-snmp | 5.7.3+dfsg-1ubuntu4 | xenial | source  net-snmp | 5.7.3+dfsg-1ubuntu4.2 | xenial-security | source  net-snmp | 5.7.3+dfsg-1ubuntu4.2 | xenial-updates | source  net-snmp | 5.7.3+dfsg-1ubuntu4.3 | xenial-proposed | source  net-snmp | 5.7.3+dfsg-1.8ubuntu3 | bionic | source  net-snmp | 5.7.3+dfsg-1.8ubuntu3.1 | bionic-security | source  net-snmp | 5.7.3+dfsg-1.8ubuntu3.1 | bionic-updates | source  net-snmp | 5.7.3+dfsg-1.8ubuntu3.2 | bionic-proposed | source  net-snmp | 5.7.3+dfsg-5ubuntu1 | disco | source  net-snmp | 5.7.3+dfsg-5ubuntu1.1 | disco-proposed | source  net-snmp | 5.7.3+dfsg-5ubuntu3 | eoan | source
2019-09-07 20:40:17 Eric Desrochers removed subscriber STS Sponsors
2019-09-09 07:24:57 Łukasz Zemczak net-snmp (Ubuntu Disco): status In Progress Fix Committed
2019-09-09 07:25:00 Łukasz Zemczak bug added subscriber Ubuntu Stable Release Updates Team
2019-09-09 07:25:03 Łukasz Zemczak bug added subscriber SRU Verification
2019-09-09 07:25:12 Łukasz Zemczak tags patch regression-update sts patch regression-update sts verification-needed verification-needed-disco
2019-09-09 07:48:14 Łukasz Zemczak net-snmp (Ubuntu Bionic): status In Progress Fix Committed
2019-09-09 07:48:23 Łukasz Zemczak tags patch regression-update sts verification-needed verification-needed-disco patch regression-update sts verification-needed verification-needed-bionic verification-needed-disco
2019-09-09 08:13:12 Łukasz Zemczak net-snmp (Ubuntu Xenial): status In Progress Fix Committed
2019-09-09 08:13:23 Łukasz Zemczak tags patch regression-update sts verification-needed verification-needed-bionic verification-needed-disco patch regression-update sts verification-needed verification-needed-bionic verification-needed-disco verification-needed-xenial
2019-09-09 12:37:02 Eric Desrochers tags patch regression-update sts verification-needed verification-needed-bionic verification-needed-disco verification-needed-xenial patch regression-update sts verification-done-disco verification-needed verification-needed-bionic verification-needed-xenial
2019-09-09 12:42:54 Eric Desrochers tags patch regression-update sts verification-done-disco verification-needed verification-needed-bionic verification-needed-xenial patch regression-update sts verification-done-bionic verification-done-disco verification-needed verification-needed-xenial
2019-09-09 12:45:26 Eric Desrochers tags patch regression-update sts verification-done-bionic verification-done-disco verification-needed verification-needed-xenial patch regression-update sts verification-done-disco verification-done-xenial verification-needed verification-needed-bionic
2019-09-09 22:42:55 Chris Newcomer attachment added xenial_validate.txt https://bugs.launchpad.net/ubuntu/bionic/+source/net-snmp/+bug/1843036/+attachment/5287618/+files/xenial_validate.txt
2019-09-09 22:43:27 Chris Newcomer attachment added bionic_validate.txt https://bugs.launchpad.net/ubuntu/bionic/+source/net-snmp/+bug/1843036/+attachment/5287619/+files/bionic_validate.txt
2019-09-09 22:43:49 Chris Newcomer attachment added disco_validate.txt https://bugs.launchpad.net/ubuntu/bionic/+source/net-snmp/+bug/1843036/+attachment/5287620/+files/disco_validate.txt
2019-09-09 23:20:56 Eric Desrochers tags patch regression-update sts verification-done-disco verification-done-xenial verification-needed verification-needed-bionic patch regression-update sts verification-done-bionic verification-done-disco verification-done-xenial verification-needed
2019-09-10 15:03:01 Eric Desrochers description [IMPACT] It has been brought to me the following: Some hosts have started to cause UNKNOWN return values in Nagios for checks on their disks. This is because these hosts are no longer reporting their disks as part of the SNMP table hrStorageTable (1.3.6.1.2.1.25.2.3.1 ) - only memory devices are being reported. The affected hosts that I have investigated received updates for SNMP: Upgrade package libsnmp-base 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 Upgrade package libsnmp30 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 Upgrade package snmpd 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 It seems likely that this package update is the cause. As debug info, you can see the difference between 2 nearly identical servers, one of which received the SNMP updates, and one which did not. You can see that the one without the update is returning disks in the SNMP output: # snmpwalk -v2c -cpublic arcprsmt01 1.3.6.1.2.1.25.2.3.1.3 iso.3.6.1.2.1.25.2.3.1.3.1 = STRING: "Physical memory" iso.3.6.1.2.1.25.2.3.1.3.3 = STRING: "Virtual memory" iso.3.6.1.2.1.25.2.3.1.3.6 = STRING: "Memory buffers" iso.3.6.1.2.1.25.2.3.1.3.7 = STRING: "Cached memory" iso.3.6.1.2.1.25.2.3.1.3.8 = STRING: "Shared memory" iso.3.6.1.2.1.25.2.3.1.3.10 = STRING: "Swap space" iso.3.6.1.2.1.25.2.3.1.3.31 = STRING: "/" iso.3.6.1.2.1.25.2.3.1.3.37 = STRING: "/run" iso.3.6.1.2.1.25.2.3.1.3.39 = STRING: "/dev/shm" iso.3.6.1.2.1.25.2.3.1.3.40 = STRING: "/run/lock" iso.3.6.1.2.1.25.2.3.1.3.41 = STRING: "/sys/fs/cgroup" iso.3.6.1.2.1.25.2.3.1.3.67 = STRING: "/run/snapd/ns" iso.3.6.1.2.1.25.2.3.1.3.70 = STRING: "/var/lib/docker/containers/3cad3d36991b677c37b08b374a7bfeceddf36a6b6754edaa1ff687b00111a6b8/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.73 = STRING: "/var/lib/docker/containers/c605c4b76dea65d562ba024212a38e24fb710186c499187b6604478b7ff678e9/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.82 = STRING: "/run/user/2002" iso.3.6.1.2.1.25.2.3.1.3.253 = STRING: "/var/lib/docker/containers/dc74a157fbaaa284e0e5b8ca4afc88769bf625eb796d89a5d26f98a540cabf35/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.256 = STRING: "/var/lib/docker/containers/6ce6193433f9c1c95cccbfbbe08a3f3385bdbc4f2e3f0baa02d11baf3866dfd2/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.258 = STRING: "/run/user/1000" The other, which received SNMP updates, is returning only memory devices, such as swap and shmem: # snmpwalk -v2c -cpublic arcprsmt02 1.3.6.1.2.1.25.2.3.1.3 iso.3.6.1.2.1.25.2.3.1.3.1 = STRING: "Physical memory" iso.3.6.1.2.1.25.2.3.1.3.3 = STRING: "Virtual memory" iso.3.6.1.2.1.25.2.3.1.3.6 = STRING: "Memory buffers" iso.3.6.1.2.1.25.2.3.1.3.7 = STRING: "Cached memory" iso.3.6.1.2.1.25.2.3.1.3.8 = STRING: "Shared memory" iso.3.6.1.2.1.25.2.3.1.3.10 = STRING: "Swap space" [Test Case] * Install snmp snmpd * Configure /etc/snmp/snmpd.conf by adding the following:  view systemonly included .1.3.6.1.2.1.25.2.3.1.3 * Restart snmpd * Use snmpwalk:  ** snmpwalk -v2c -cpublic localhost 1.3.6.1.2.1.25.2.3.1.3 Expected behavior is to see the disk as follow: " iso.3.6.1.2.1.25.2.3.1.3.1 = STRING: "Physical memory" iso.3.6.1.2.1.25.2.3.1.3.3 = STRING: "Virtual memory" iso.3.6.1.2.1.25.2.3.1.3.6 = STRING: "Memory buffers" iso.3.6.1.2.1.25.2.3.1.3.7 = STRING: "Cached memory" iso.3.6.1.2.1.25.2.3.1.3.8 = STRING: "Shared memory" iso.3.6.1.2.1.25.2.3.1.3.10 = STRING: "Swap space" iso.3.6.1.2.1.25.2.3.1.3.31 = STRING: "/" iso.3.6.1.2.1.25.2.3.1.3.33 = STRING: "/dev" iso.3.6.1.2.1.25.2.3.1.3.45 = STRING: "/dev/lxd" iso.3.6.1.2.1.25.2.3.1.3.46 = STRING: "/dev/.lxd-mounts" iso.3.6.1.2.1.25.2.3.1.3.63 = STRING: "/proc/sys/kernel/random/boot_id" iso.3.6.1.2.1.25.2.3.1.3.66 = STRING: "/dev/shm" iso.3.6.1.2.1.25.2.3.1.3.67 = STRING: "/run" iso.3.6.1.2.1.25.2.3.1.3.68 = STRING: "/run/lock" iso.3.6.1.2.1.25.2.3.1.3.69 = STRING: "/sys/fs/cgroup" " [Potential Regression] The fix has been tested by various impacted users, and feedback were all positives. Note that this fix a regression introduced by: https://bugs.launchpad.net/bugs/1835818 [Other information] # Upstream commit: https://github.com/net-snmp/net-snmp/commit/71e487212bd65839e7454df9701524d08cf0d74f https://github.com/net-snmp/net-snmp/commit/bcb1a6b8afc444bbcd099a195e08f0b01cbc8f6b # git describe --contains 71e487212bd65839e7454df9701524d08cf0d74f v5.8.pre1 # rmadison:  net-snmp | 5.7.3+dfsg-1ubuntu4 | xenial | source  net-snmp | 5.7.3+dfsg-1ubuntu4.2 | xenial-security | source  net-snmp | 5.7.3+dfsg-1ubuntu4.2 | xenial-updates | source  net-snmp | 5.7.3+dfsg-1ubuntu4.3 | xenial-proposed | source  net-snmp | 5.7.3+dfsg-1.8ubuntu3 | bionic | source  net-snmp | 5.7.3+dfsg-1.8ubuntu3.1 | bionic-security | source  net-snmp | 5.7.3+dfsg-1.8ubuntu3.1 | bionic-updates | source  net-snmp | 5.7.3+dfsg-1.8ubuntu3.2 | bionic-proposed | source  net-snmp | 5.7.3+dfsg-5ubuntu1 | disco | source  net-snmp | 5.7.3+dfsg-5ubuntu1.1 | disco-proposed | source  net-snmp | 5.7.3+dfsg-5ubuntu3 | eoan | source [IMPACT] It has been brought to me the following: Some hosts have started to cause UNKNOWN return values in Nagios for checks on their disks. This is because these hosts are no longer reporting their disks as part of the SNMP table hrStorageTable (1.3.6.1.2.1.25.2.3.1 ) - only memory devices are being reported. The affected hosts that I have investigated received updates for SNMP: Upgrade package libsnmp-base 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 Upgrade package libsnmp30 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 Upgrade package snmpd 5.7.3+dfsg-1.8ubuntu3.1 to 5.7.3+dfsg-1.8ubuntu3.2 It seems likely that this package update is the cause. As debug info, you can see the difference between 2 nearly identical servers, one of which received the SNMP updates, and one which did not. You can see that the one without the update is returning disks in the SNMP output: # snmpwalk -v2c -cpublic arcprsmt01 1.3.6.1.2.1.25.2.3.1.3 iso.3.6.1.2.1.25.2.3.1.3.1 = STRING: "Physical memory" iso.3.6.1.2.1.25.2.3.1.3.3 = STRING: "Virtual memory" iso.3.6.1.2.1.25.2.3.1.3.6 = STRING: "Memory buffers" iso.3.6.1.2.1.25.2.3.1.3.7 = STRING: "Cached memory" iso.3.6.1.2.1.25.2.3.1.3.8 = STRING: "Shared memory" iso.3.6.1.2.1.25.2.3.1.3.10 = STRING: "Swap space" iso.3.6.1.2.1.25.2.3.1.3.31 = STRING: "/" iso.3.6.1.2.1.25.2.3.1.3.37 = STRING: "/run" iso.3.6.1.2.1.25.2.3.1.3.39 = STRING: "/dev/shm" iso.3.6.1.2.1.25.2.3.1.3.40 = STRING: "/run/lock" iso.3.6.1.2.1.25.2.3.1.3.41 = STRING: "/sys/fs/cgroup" iso.3.6.1.2.1.25.2.3.1.3.67 = STRING: "/run/snapd/ns" iso.3.6.1.2.1.25.2.3.1.3.70 = STRING: "/var/lib/docker/containers/3cad3d36991b677c37b08b374a7bfeceddf36a6b6754edaa1ff687b00111a6b8/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.73 = STRING: "/var/lib/docker/containers/c605c4b76dea65d562ba024212a38e24fb710186c499187b6604478b7ff678e9/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.82 = STRING: "/run/user/2002" iso.3.6.1.2.1.25.2.3.1.3.253 = STRING: "/var/lib/docker/containers/dc74a157fbaaa284e0e5b8ca4afc88769bf625eb796d89a5d26f98a540cabf35/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.256 = STRING: "/var/lib/docker/containers/6ce6193433f9c1c95cccbfbbe08a3f3385bdbc4f2e3f0baa02d11baf3866dfd2/mounts/shm" iso.3.6.1.2.1.25.2.3.1.3.258 = STRING: "/run/user/1000" The other, which received SNMP updates, is returning only memory devices, such as swap and shmem: # snmpwalk -v2c -cpublic arcprsmt02 1.3.6.1.2.1.25.2.3.1.3 iso.3.6.1.2.1.25.2.3.1.3.1 = STRING: "Physical memory" iso.3.6.1.2.1.25.2.3.1.3.3 = STRING: "Virtual memory" iso.3.6.1.2.1.25.2.3.1.3.6 = STRING: "Memory buffers" iso.3.6.1.2.1.25.2.3.1.3.7 = STRING: "Cached memory" iso.3.6.1.2.1.25.2.3.1.3.8 = STRING: "Shared memory" iso.3.6.1.2.1.25.2.3.1.3.10 = STRING: "Swap space" [Test Case] * Install snmp snmpd * Configure /etc/snmp/snmpd.conf by adding the following:  view systemonly included .1.3.6.1.2.1.25.2.3.1.3 * Restart snmpd * Use snmpwalk:  ** snmpwalk -v2c -cpublic localhost 1.3.6.1.2.1.25.2.3.1.3 Expected behavior is to see the disk as follow: " iso.3.6.1.2.1.25.2.3.1.3.1 = STRING: "Physical memory" iso.3.6.1.2.1.25.2.3.1.3.3 = STRING: "Virtual memory" iso.3.6.1.2.1.25.2.3.1.3.6 = STRING: "Memory buffers" iso.3.6.1.2.1.25.2.3.1.3.7 = STRING: "Cached memory" iso.3.6.1.2.1.25.2.3.1.3.8 = STRING: "Shared memory" iso.3.6.1.2.1.25.2.3.1.3.10 = STRING: "Swap space" iso.3.6.1.2.1.25.2.3.1.3.31 = STRING: "/" iso.3.6.1.2.1.25.2.3.1.3.33 = STRING: "/dev" iso.3.6.1.2.1.25.2.3.1.3.45 = STRING: "/dev/lxd" iso.3.6.1.2.1.25.2.3.1.3.46 = STRING: "/dev/.lxd-mounts" iso.3.6.1.2.1.25.2.3.1.3.63 = STRING: "/proc/sys/kernel/random/boot_id" iso.3.6.1.2.1.25.2.3.1.3.66 = STRING: "/dev/shm" iso.3.6.1.2.1.25.2.3.1.3.67 = STRING: "/run" iso.3.6.1.2.1.25.2.3.1.3.68 = STRING: "/run/lock" iso.3.6.1.2.1.25.2.3.1.3.69 = STRING: "/sys/fs/cgroup" " [Potential Regression] The fix has been tested by various impacted users (+/- 10 different impacted users), and feedback were all positives (see comments below). Note that this fix a regression introduced by: https://bugs.launchpad.net/bugs/1835818 [Other information] # Upstream commit: https://github.com/net-snmp/net-snmp/commit/71e487212bd65839e7454df9701524d08cf0d74f https://github.com/net-snmp/net-snmp/commit/bcb1a6b8afc444bbcd099a195e08f0b01cbc8f6b # git describe --contains 71e487212bd65839e7454df9701524d08cf0d74f v5.8.pre1 # rmadison:  net-snmp | 5.7.3+dfsg-1ubuntu4 | xenial | source  net-snmp | 5.7.3+dfsg-1ubuntu4.2 | xenial-security | source  net-snmp | 5.7.3+dfsg-1ubuntu4.2 | xenial-updates | source  net-snmp | 5.7.3+dfsg-1ubuntu4.3 | xenial-proposed | source  net-snmp | 5.7.3+dfsg-1.8ubuntu3 | bionic | source  net-snmp | 5.7.3+dfsg-1.8ubuntu3.1 | bionic-security | source  net-snmp | 5.7.3+dfsg-1.8ubuntu3.1 | bionic-updates | source  net-snmp | 5.7.3+dfsg-1.8ubuntu3.2 | bionic-proposed | source  net-snmp | 5.7.3+dfsg-5ubuntu1 | disco | source  net-snmp | 5.7.3+dfsg-5ubuntu1.1 | disco-proposed | source  net-snmp | 5.7.3+dfsg-5ubuntu3 | eoan | source
2019-09-11 10:05:57 Eric Lacroix net-snmp (Ubuntu Bionic): status Fix Committed Fix Released
2019-09-11 11:20:37 Eric Desrochers net-snmp (Ubuntu Bionic): status Fix Released Fix Committed
2019-09-12 11:28:19 Łukasz Zemczak removed subscriber Ubuntu Stable Release Updates Team
2019-09-12 11:28:21 Launchpad Janitor net-snmp (Ubuntu Disco): status Fix Committed Fix Released
2019-09-12 11:28:32 Launchpad Janitor net-snmp (Ubuntu Bionic): status Fix Committed Fix Released
2019-09-12 11:28:41 Launchpad Janitor net-snmp (Ubuntu Xenial): status Fix Committed Fix Released